--- old/usr/src/lib/libmlrpc/Makefile.com	Sun Mar 18 01:12:57 2018
+++ new/usr/src/lib/libmlrpc/Makefile.com	Sun Mar 18 01:12:57 2018
@@ -18,15 +18,19 @@
 #
 # CDDL HEADER END
 #
+
 #
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+#
 
 LIBRARY =	libmlrpc.a
-VERS =		.1
+VERS =		.2
 
 OBJS_COMMON = 			\
+	mlrpc_clh.o		\
 	ndr_client.o		\
 	ndr_heap.o		\
 	ndr_marshal.o		\
@@ -33,24 +37,39 @@
 	ndr_ops.o		\
 	ndr_process.o		\
 	ndr_server.o		\
-	ndr_svc.o
+	ndr_svc.o		\
+	ndr_wchar.o
 
 NDLLIST = rpcpdu
 
-OBJECTS=	$(OBJS_COMMON) $(OBJS_SHARED) $(NDLLIST:%=%_ndr.o)
+OBJECTS=	$(OBJS_COMMON) $(NDLLIST:%=%_ndr.o)
+CLEANFILES += $(NDLLIST:%=%_ndr.c)
 
-include ../../../Makefile.lib
 include ../../Makefile.lib
 
-INCS += -I$(SRC)/common/smbsrv
+LIBS=		$(DYNLIB) $(LINTLIB)
 
-LDLIBS +=	$(MACH_LDLIBS)
-LDLIBS +=	-lsmb -luuid -lc
+LDLIBS +=	-lsmbfs -luuid -lc
 
+SRCDIR=		../common
+SRCS=   $(OBJS_COMMON:%.o=$(SRCDIR)/%.c)
+$(LINTLIB) := SRCS = $(SRCDIR)/$(LINTSRC)
+
+NDLDIR =	$(SRCDIR)
+
+CFLAGS +=	$(CCVERBOSE)
+INCS = -I. -I$(SRCDIR)
 CPPFLAGS += $(INCS) -D_REENTRANT
 
-SRCS=   $(OBJS_COMMON:%.o=$(SRCDIR)/%.c)		\
-	$(OBJS_SHARED:%.o=$(SRC)/common/smbsrv/%.c)
+all:	$(LIBS)
 
+lint:	lintcheck
+
 include ../../Makefile.targ
-include ../../../Makefile.targ
+
+objs/%_ndr.o pics/%_ndr.o : %_ndr.c
+
+%_ndr.c : $(NDLDIR)/%.ndl
+	$(NDRGEN) -Y $(ANSI_CPP) $(CPPFLAGS) $<
+
+.KEEP_STATE:
